def evaluate_overlap(golds, preds):
    accuracies = 0
    cnt = 0
    for _, gold in enumerate(golds):
        pred = preds[_]
        gold_words = gold.split(" ")
        cnt_gold = len(gold_words)
        cnt_hit = 0
        for word in gold_words:
            if word.lower() in pred.lower():
                cnt_hit += 1
        accuracies += cnt_hit / cnt_gold
        cnt += 1
    return accuracies / cnt